OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListOfIndexedDataMapOfShapeListOfShape Class Reference

`#include <TNaming_ListOfIndexedDataMapOfShapeListOfShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_ListOfIndexedDataMapOfShapeListOfShape ()
Standard_EXPORT void | Assign (const TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other)
void | operator= (const TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TNaming_ListOfIndexedDataMapOfShapeListOfShape ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TopTools_IndexedDataMapOfShapeListOfShape &I)
Standard_EXPORT void | Prepend (const TopTools_IndexedDataMapOfShapeListOfShape &I, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &theIt)
Standard_EXPORT void | Prepend (TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other)
Standard_EXPORT void | Append (const TopTools_IndexedDataMapOfShapeListOfShape &I)
Standard_EXPORT void | Append (const TopTools_IndexedDataMapOfShapeListOfShape &I, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &theIt)
Standard_EXPORT void | Append (TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other)
Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape & | First () const
Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &It)
Standard_EXPORT void | InsertBefore (const TopTools_IndexedDataMapOfShapeListOfShape &I, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &It)
Standard_EXPORT void | InsertBefore (TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &It)
Standard_EXPORT void | InsertAfter (const TopTools_IndexedDataMapOfShapeListOfShape &I, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &It)
Standard_EXPORT void | InsertAfter (TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other, TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape &It)
## Private Member Functions
Standard_EXPORT | TNaming_ListOfIndexedDataMapOfShapeListOfShape (const TNaming_ListOfIndexedDataMapOfShapeListOfShape &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_ListOfIndexedDataMapOfShapeListOfShape::TNaming_ListOfIndexedDataMapOfShapeListOfShape | ( |  | ) |

TNaming_ListOfIndexedDataMapOfShapeListOfShape::~TNaming_ListOfIndexedDataMapOfShapeListOfShape | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_ListOfIndexedDataMapOfShapeListOfShape::TNaming_ListOfIndexedDataMapOfShapeListOfShape | ( | const TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Append | ( | TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Append | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | theIt
| ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Append | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Assign | ( | const TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TNaming_ListOfIndexedDataMapOfShapeListOfShape::Extent | ( |  | ) | const

Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape& TNaming_ListOfIndexedDataMapOfShapeListOfShape::First | ( |  | ) | const

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::InsertAfter | ( | TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::InsertAfter | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::InsertBefore | ( | TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::InsertBefore | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | It
| ) |

Standard_Boolean TNaming_ListOfIndexedDataMapOfShapeListOfShape::IsEmpty | ( |  | ) | const

Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape& TNaming_ListOfIndexedDataMapOfShapeListOfShape::Last | ( |  | ) | const

void TNaming_ListOfIndexedDataMapOfShapeListOfShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_ListOfIndexedDataMapOfShapeListOfShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_ListOfIndexedDataMapOfShapeListOfShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TNaming_ListOfIndexedDataMapOfShapeListOfShape::operator= | ( | const TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other | ) | `[inline]`

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Prepend | ( | TNaming_ListOfIndexedDataMapOfShapeListOfShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Prepend | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I,
|  | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | theIt
| ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Prepend | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::Remove | ( | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape & | It | ) |

Standard_EXPORT void TNaming_ListOfIndexedDataMapOfShapeListOfShape::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TNaming_ListOfIndexedDataMapOfShapeListOfShape::myFirst`[private]`

Standard_Address TNaming_ListOfIndexedDataMapOfShapeListOfShape::myLast`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListOfIndexedDataMapOfShapeListOfShape.hxx